export default {
  methods: {
    setSchoolFont() {
      const { fontName } = this.$ls.get("user", {
        fontResult: {},
      }).fontResult;

      const defaultFonts = '"宋体","宋体-简",Arial,sans-serif';
      const ff = fontName ? `${fontName},${defaultFonts}` : defaultFonts;
      const fontStyleCont = `.page-box{font-family:${ff}}`;

      const fontStyle = document.querySelector('style[class="fontStyle"]');
      if (fontStyle) {
        fontStyle.innerHTML = fontStyleCont;
      } else {
        const style = document.createElement("style");
        style.innerHTML = fontStyleCont;
        style.setAttribute("class", "fontStyle");
        document.head.appendChild(style);
      }
    },
  },
};
